﻿# plugin variables

# console=true displays a console, use this option for scripts with text output
#[console=true]

# noexit=true keeps the console open, set to 'false' to have the console closed when processing is done
#[noexit=false]

param (
    [string]$name,
    [string]$dir,
    [string]$file,
    [int]$width,
    [int]$height,
    [int]$i,
    [int]$n
     )

<#
    -name name
    -file file
    -dir dir
    -width PictureWidth
    -height PictureHeight
    -i sequence number
    -n number of files

    Example:
    -name c:\picture_folder\picture.jpg
    -file picture.jpg
    -dir c:\picture_folder\
    -width 1024
    -height 768
    -i 1
    -n 4
#>


[int]$MP = $width * $height / 1000000
"`nImage '{0}' ({4} of {5}) with {1}x{2} pixel ({3}MP)`n" -f $name, $width, $height, $MP, ($i+1), $n


Write-Host "Press any key to continue ..."
[void]$host.UI.RawUI.ReadKey("NoEcho,IncludeKeyDown")
